﻿
#include <PF.VsxProtocolDriver.WrapperNE.h>

#include "VsxProtocolDriverDemo.h"


static const std::vector<const char*> TriggerActivationItems = { "FallingEdge", "Never", "RisingEdge" };
static const std::vector<const char*> IlluminationItems = { "None", "Onboard", "Projector" };
static const std::vector<const char*> TriggerSourceItems = { "AutoTrigger", "Line1", "Software" };
static const std::vector<const char*> OutputModeItems = { "CalibratedABC_Grid", "DisparityC", "DisparityCAndRaw", "DisparityCAndRectified", "LeftRaw", "LeftRectified", "Nothing", "RightRaw", "RightRectified","StereoRaw","StereoRectified" };

static const ParameterElement TriggerEnabled = { "Base", "TriggerEnabled", {} };
static const ParameterElement TriggerSource = { "Base", "TriggerSource", TriggerSourceItems };
static const ParameterElement TriggerActivation = { "Base", "TriggerActivation", TriggerActivationItems };
static const ParameterElement AutoTriggerFrameRate = { "Base", "AutoTriggerFrameRate", {} };
static const ParameterElement ExposureTime = { "Base", "ExposureTime", {} };
static const ParameterElement Gain = { "Base", "Gain", {} };
static const ParameterElement Illumination = { "Base", "Illumination", IlluminationItems };
static const ParameterElement SGBMPenalty1 = { "Base", "SGBMPenalty1", {} };
static const ParameterElement SGBMPenalty2 = { "Base", "SGBMPenalty2", {} };
static const ParameterElement SGBMUniqueness = { "Base", "SGBMUniqueness", {} };
static const ParameterElement SGBMEnableMedian = { "Base", "SGBMEnableMedian", {} };
static const ParameterElement OutputMode = { "Base", "OutputMode", OutputModeItems };
static const ParameterElement VendorName = { "General", "VendorName", {} };
static const ParameterElement VendorUrl = { "General", "VendorUrl", {} };
static const ParameterElement ProductName = { "General", "ProductName", {} };
static const ParameterElement ProductClass = { "General", "ProductClass", {} };
static const ParameterElement PartNumber = { "General", "PartNumber", {} };
static const ParameterElement SerialNumber = { "General", "SerialNumber", {} };
static const ParameterElement FirmwareVersion = { "General", "FirmwareVersion", {} };
static const ParameterElement HardwareVersion = { "General", "HardwareVersion", {} };
static const ParameterElement UniqueProductID = { "General", "UniqueProductID", {} };
static const ParameterElement ApplicationSpecificTag = { "General", "ApplicationSpecificTag", {} };
static const ParameterElement FunctionTag = { "General", "FunctionTag", {} };
static const ParameterElement LocationTag = { "General", "LocationTag", {} };
static const ParameterElement TriggerSoftware = { "Command", "TriggerSoftware", {} };
static const ParameterElement GetLicenses = { "Command", "GetLicenses", {} };
