﻿Introduction
============

The driver VsxProtocolDriver (VsxSdk) provides full access to the input and output data of the sensor. 
The driver connects to the sensor and handles communication in accordance with the communication protocol. 
The user can access functions for setting parameters on the sensor, retrieving parameter values from the sensor,
and saving and loading entire parameter sets both locally and on the sensor. The user can also receive sensor data like images, 3D-data or lines.
Each function also contains an error object from which information can be obtained in the event of an error in the function.

## Supported devices
The official supported devices are the following:

* SmartRunner 3D (Stereo + ToF)
* SmartRunner 2D

## Requirements
The driver is available for multiple architecture
 * Windows 64 bit / 32 bit
 * Linux AMD64, ARM64, ARM32

The main driver is based on the C# (.NET). There are wrapper for C and Python programming language available.

For usage the Microsoft .NET Runtime 6.0.x framework or higher must be installed (See https://dotnet.microsoft.com/en-us/download/dotnet).

**Important note:** There is also still support for .Net 5.0, but this will propably be dropped in the next version, as this release has reached end of life support by Microsoft.
