Changelog
=========

This is the changelog for the Python implementation of the VsxProtocolDriver.
It is based on the .NET implementation (C#) and the C wrapper of the VsxProtocolDriver. 
Please use also the .NET and C documentation for additional information about the release.

V3.3.2
* Updated to VsxProtocolDriver 3.3.2

V3.3.1
* Updated to VsxProtocolDriver 3.3.1
* Fix "SetSingleParameterValue" type checking introduced in V3.3.0

V3.3.0
* Updated to VsxProtocolDriver 3.3.0
* Fix incorrect return values in:
  * LogMessageQueueSize, MissingLogMessagesCounter, MissingContainerFramesCounter
  * DynamicContainerQueueSize, NumberOfCachedContainers
* Add more code documentation

V3.2.1
* Updated to VsxProtocolDriver 3.2.1
* Add support for "GetSingleParameterValueInt32", "GetSingleParameterValueDouble"
* Add support for "SetSingleParameterValue" for int, float & str values

V3.1.5
* Updated to VsxProtocolDriver 3.1.5
  * Modified "Olr2CaptureInformation" data structure (incompatible with V3.1.0 and following, only for Olr2!) 

V3.1.4  
* Update new wrapper 3.1.4 (based on VsxProtocolDriver 3.1.3)
  * Fix memory leak inside line data allocation  

V3.1.3
* Updated to VsxProtocolDriver 3.1.3
  * use given ip address instead udp response to connect

V3.1.2
* Updated to VsxProtocolDriver 3.1.2
* Support for "ApplicationResultData"

V3.1.0
* Updated to VsxProtocolDriver 3.0.6
* Add function "SendSessionKeepAlive" (reply to timeout announcement message)

V3.0.7
* Added support for "Olr2ModbusData" & "Olr2CaptureInformation"
* Fix "_OnDisconnect" function (incorrect converting of type)

V3.0.6
* Updated to VsxProtocolDriver 3.0.6

V3.0.5
* Updated to VsxProtocolDriver 3.0.5
* Adapted "SetSingleParameter" internally for C-API changes.

V3.0.4
* Updated to VsxProtocolDriver 3.0.4
* Remove "InitTcpSensorEx" & "ReConnectTcpDeviceEx" function from 3.0.2/3.0.3 again 
  (not needed, if direct UDP from sensor supported)

V3.0.3
* Updated to VsxProtocolDriver 3.0.3
* Fixes "ReConnectTcpDevice" from V3.0.2 (incorrect function declaration)
* Add function "ReConnectTcpDeviceEx" with port number support

V3.0.2
* Updated to VsxProtocolDriver 3.0.2
* Added "InitTcpSensorEx" function with "port" parameter
* Fixes installation script (for newer setuptools)

V3.0.0 
* Updated to VsxProtocolDriver 3.0.0
