﻿namespace VsxProtocolDriverDemo
{
    public static class Sr3DParameterIdentifierStereo
    {
        public readonly static ParameterElement TriggerEnabled = new ParameterElement()
        { ConfigId = "Base", ParamId = "TriggerEnabled", Items = Array.Empty<string>() };
        public readonly static ParameterElement TriggerSource = new ParameterElement()
        { ConfigId = "Base", ParamId = "TriggerSource", Items = new[] { "AutoTrigger", "Line1", "Software" } };
        public readonly static ParameterElement TriggerActivation = new ParameterElement()
        { ConfigId = "Base", ParamId = "TriggerActivation", Items = new[] { "FallingEdge", "Never", "RisingEdge" } };
        public readonly static ParameterElement AutoTriggerFrameRate = new ParameterElement()
        { ConfigId = "Base", ParamId = "AutoTriggerFrameRate", Items = Array.Empty<string>() };
        public readonly static ParameterElement ExposureTime = new ParameterElement()
        { ConfigId = "Base", ParamId = "ExposureTime", Items = Array.Empty<string>() };
        public readonly static ParameterElement Gain = new ParameterElement()
        { ConfigId = "Base", ParamId = "Gain", Items = Array.Empty<string>() };
        public readonly static ParameterElement Illumination = new ParameterElement()
        { ConfigId = "Base", ParamId = "Illumination", Items = new[] { "None", "Onboard", "Projector" } };
        public readonly static ParameterElement SGBMPenalty1 = new ParameterElement()
        { ConfigId = "Base", ParamId = "SGBMPenalty1", Items = Array.Empty<string>() };
        public readonly static ParameterElement SGBMPenalty2 = new ParameterElement()
        { ConfigId = "Base", ParamId = "SGBMPenalty2", Items = Array.Empty<string>() };
        public readonly static ParameterElement SGBMUniqueness = new ParameterElement()
        { ConfigId = "Base", ParamId = "SGBMUniqueness", Items = Array.Empty<string>() };
        public readonly static ParameterElement SGBMEnableMedian = new ParameterElement()
        { ConfigId = "Base", ParamId = "SGBMEnableMedian", Items = Array.Empty<string>() };
        public readonly static ParameterElement OutputMode = new ParameterElement()
        {
            ConfigId = "Base",
            ParamId = "OutputMode",
            Items = new[]
                {"CalibratedABC_Grid", "DisparityC", "DisparityCAndRaw", "DisparityCAndRectified", "LeftRaw", "LeftRectified", "Nothing", "RightRaw", "RightRectified","StereoRaw","StereoRectified"}
        };
        public readonly static ParameterElement VendorName = new ParameterElement()
        { ConfigId = "General", ParamId = "VendorName", Items = Array.Empty<string>() };
        public readonly static ParameterElement VendorUrl = new ParameterElement()
        { ConfigId = "General", ParamId = "VendorUrl", Items = Array.Empty<string>() };
        public readonly static ParameterElement ProductName = new ParameterElement()
        { ConfigId = "General", ParamId = "ProductName", Items = Array.Empty<string>() };
        public readonly static ParameterElement ProductClass = new ParameterElement()
        { ConfigId = "General", ParamId = "ProductClass", Items = Array.Empty<string>() };
        public readonly static ParameterElement PartNumber = new ParameterElement()
        { ConfigId = "General", ParamId = "PartNumber", Items = Array.Empty<string>() };
        public readonly static ParameterElement SerialNumber = new ParameterElement()
        { ConfigId = "General", ParamId = "SerialNumber", Items = Array.Empty<string>() };
        public readonly static ParameterElement FirmwareVersion = new ParameterElement()
        { ConfigId = "General", ParamId = "FirmwareVersion", Items = Array.Empty<string>() };
        public readonly static ParameterElement HardwareVersion = new ParameterElement()
        { ConfigId = "General", ParamId = "HardwareVersion", Items = Array.Empty<string>() };
        public readonly static ParameterElement UniqueProductID = new ParameterElement()
        { ConfigId = "General", ParamId = "UniqueProductID", Items = Array.Empty<string>() };
        public readonly static ParameterElement ApplicationSpecificTag = new ParameterElement()
        { ConfigId = "General", ParamId = "ApplicationSpecificTag", Items = Array.Empty<string>() };
        public readonly static ParameterElement FunctionTag = new ParameterElement()
        { ConfigId = "General", ParamId = "FunctionTag", Items = Array.Empty<string>() };
        public readonly static ParameterElement LocationTag = new ParameterElement()
        { ConfigId = "General", ParamId = "LocationTag", Items = Array.Empty<string>() };
        public readonly static ParameterElement TriggerSoftware = new ParameterElement()
        { ConfigId = "Command", ParamId = "TriggerSoftware", Items = Array.Empty<string>() };
        public readonly static ParameterElement GetLicenses = new ParameterElement()
        { ConfigId = "Command", ParamId = "GetLicenses", Items = Array.Empty<string>() };
    }
}
