﻿namespace VsxProtocolDriverDemo
{
    public static class Sr3DParameterIdentifierTof
    {
        public readonly static ParameterElement TriggerSource = new ParameterElement()
            {ConfigId = "Base", ParamId = "TriggerSource", Items = new[] {"AutoTrigger", "Line1", "Software"}};
        public readonly static ParameterElement OutputMode = new ParameterElement()
            {ConfigId = "Base", ParamId = "OutputMode", Items = new[] {"CalibratedABC_Grid", "CalibratedABC_Grid_Amp", "CalibratedC", "CalibratedC_Amp", "DistAmp", "Distance", "RectifiedC"}};
        public readonly static ParameterElement AutoTriggerFrameRate = new ParameterElement()
            {ConfigId = "Base", ParamId = "AutoTriggerFrameRate", Items = Array.Empty<string>()};
        public readonly static ParameterElement RangeMode = new ParameterElement()
            {ConfigId = "Base", ParamId = "RangeMode", Items = new[] {"1500", "3750", "7500"}};
        public readonly static ParameterElement TemporalFilter = new ParameterElement()
            {ConfigId = "Base", ParamId = "TemporalFilter", Items = Array.Empty<string>()};
        public readonly static ParameterElement ExposureTime = new ParameterElement()
            {ConfigId = "Base", ParamId = "ExposureTime", Items = Array.Empty<string>()};
        public readonly static ParameterElement TriggerEnabled = new ParameterElement()
            {ConfigId = "Base", ParamId = "TriggerEnabled", Items = Array.Empty<string>()};
        public readonly static ParameterElement CameraMode = new ParameterElement()
            {ConfigId = "Base", ParamId = "CameraMode", Items = new[] {"FastMovement", "HighDynamic", "Standard"}};
        public readonly static ParameterElement BinningMode = new ParameterElement()
            {ConfigId = "Base", ParamId = "BinningMode", Items = new[] {"2x2", "4x4", "Off"}};
        public readonly static ParameterElement MinimumAmplitude = new ParameterElement()
            {ConfigId = "Base", ParamId = "MinimumAmplitude", Items = Array.Empty<string>()};
        public readonly static ParameterElement TriggerActivation = new ParameterElement()
            {ConfigId = "Base", ParamId = "TriggerActivation", Items = new[] {"FallingEdge", "RisingEdge"}};
        public readonly static ParameterElement FlyingPixelFilterEnabled = new ParameterElement()
            {ConfigId = "Base", ParamId = "FlyingPixelFilterEnabled", Items = Array.Empty<string>()};
        public readonly static ParameterElement SpatialFilterEnabled = new ParameterElement()
            {ConfigId = "Base", ParamId = "SpatialFilterEnabled", Items = Array.Empty<string>()};
        public readonly static ParameterElement VendorName = new ParameterElement()
            {ConfigId = "General", ParamId = "VendorName", Items = Array.Empty<string>()};
        public readonly static ParameterElement VendorUrl = new ParameterElement()
            {ConfigId = "General", ParamId = "VendorUrl", Items = Array.Empty<string>()};
        public readonly static ParameterElement ProductName = new ParameterElement()
            {ConfigId = "General", ParamId = "ProductName", Items = Array.Empty<string>()};
        public readonly static ParameterElement ProductClass = new ParameterElement()
            {ConfigId = "General", ParamId = "ProductClass", Items = Array.Empty<string>()};
        public readonly static ParameterElement PartNumber = new ParameterElement()
            {ConfigId = "General", ParamId = "PartNumber", Items = Array.Empty<string>()};
        public readonly static ParameterElement SerialNumber = new ParameterElement()
            {ConfigId = "General", ParamId = "SerialNumber", Items = Array.Empty<string>()};
        public readonly static ParameterElement FirmwareVersion = new ParameterElement()
            {ConfigId = "General", ParamId = "FirmwareVersion", Items = Array.Empty<string>()};
        public readonly static ParameterElement HardwareVersion = new ParameterElement()
            {ConfigId = "General", ParamId = "HardwareVersion", Items = Array.Empty<string>()};
        public readonly static ParameterElement UniqueProductID = new ParameterElement()
            {ConfigId = "General", ParamId = "UniqueProductID", Items = Array.Empty<string>()};
        public readonly static ParameterElement ApplicationSpecificTag = new ParameterElement()
            {ConfigId = "General", ParamId = "ApplicationSpecificTag", Items = Array.Empty<string>()};
        public readonly static ParameterElement FunctionTag = new ParameterElement()
            {ConfigId = "General", ParamId = "FunctionTag", Items = Array.Empty<string>()};
        public readonly static ParameterElement LocationTag = new ParameterElement()
            {ConfigId = "General", ParamId = "LocationTag", Items = Array.Empty<string>()};
        public readonly static ParameterElement TriggerSoftware = new ParameterElement()
            {ConfigId = "Command", ParamId = "TriggerSoftware", Items = Array.Empty<string>()};
        public readonly static ParameterElement GetLicenses = new ParameterElement()
            {ConfigId = "Command", ParamId = "GetLicenses", Items = Array.Empty<string>()};
    }
}
